### Function

# Dex input_stream_read

#### Declaration [src]

    DexFuture*
    dex_input_stream_read (
      GInputStream* self,
      gpointer buffer,
      gsize count,
      int io_priority
    )

#### Description [src]

Reads `count` bytes from an input stream into a pre-allocated `buffer`. The `buffer` must stay valid for the lifetime of this future.

#### Parameters

`self`

  Type: `GInputStream`

  A `GInputStream`.

  The data is owned by the caller of the function.

`buffer`

  Type: An array of `guint8`

  No description available.

  The argument will be set by the function.
  The length of the array is specified in the `count` argument.

`count`

  Type: `gsize`

  Size in bytes to read from the stream into the `buffer`.

  The argument will be set by the function.

`io_priority`

  Type: `int`

  The IO priority of the request.

#### Return value

Type: `DexFuture`

A `DexFuture` that reads `counts` bytes into `buffer`.

The caller of the function takes ownership of the data, and is responsible for freeing it.